# Deprecated API

## Contents

- Terminally Deprecated
- Fields

Terminally Deprecated Elements
Element
Description
jakarta.security.auth.message.config.AuthConfigFactory.getFactorySecurityPermission
Following JEP 411
jakarta.security.auth.message.config.AuthConfigFactory.providerRegistrationSecurityPermission
Following JEP 411
jakarta.security.auth.message.config.AuthConfigFactory.setFactorySecurityPermission
Following JEP 411

Deprecated Fields
Field
Description
jakarta.security.auth.message.config.AuthConfigFactory.getFactorySecurityPermission
Following JEP 411
jakarta.security.auth.message.config.AuthConfigFactory.providerRegistrationSecurityPermission
Following JEP 411
jakarta.security.auth.message.config.AuthConfigFactory.setFactorySecurityPermission
Following JEP 411